Method: projects.locations.connections.gitRepositoryLinks.fetchPullRequestList

Fetches a list of Pull Requests from the remote repository.

HTTP request

GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequestList

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The GitRepositoryLink resource name in the format projects/*/locations/*/connections/*/gitRepositoryLinks/*.

Query parameters

Parameters
filter

string

Optional. A filter expression that filters the pull requests returned in the response. Only a single equality comparison on state is supported, for example state = "OPEN". Supported values are OPEN, CLOSED, and MERGED. DECLINED is only supported for SCM providers that support declining pull requests, and returns INVALID_ARGUMENT for GitHub, GitHub Enterprise, GitLab, and GitLab Enterprise. Other values or expressions return INVALID_ARGUMENT. Defaults to state = "OPEN" if unspecified.

pageSize

integer

Optional. Number of results to return in the list. Default is 20. Max is 100. A page may contain fewer than pageSize results even when more results are available; use nextPageToken to check for more pages.

pageToken

string

Optional. A page token, received from a previous gitRepositoryLinks.fetchPullRequestList call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for gitRepositoryLinks.fetchPullRequestList.

If successful, the response body contains data with the following structure:

JSON representation
{
  "pullRequests": [
    {
      object (PullRequest)
    }
  ],
  "nextPageToken": string
}
Fields
pullRequests[]

object (PullRequest)

The list of pull requests.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • developerconnect.gitRepositoryLinks.fetchPullRequestList

For more information, see the IAM documentation.